<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AnalysisUIOptions">
    <option name="SPLITTER_PROPORTION" value="0.4321745" />
    <option name="GROUP_BY_SEVERITY" value="true" />
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </select>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="38edcd87-ada4-4894-a064-a836269e71e4" name="Default Changelist" comment="代码规范修改">
      <change afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/src/main/java/com/securitycontrol/entity/screen/dto/ConstructionQualityDto.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/src/main/java/com/securitycontrol/entity/screen/dto/OperatingQualityDto.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/src/main/java/com/securitycontrol/entity/screen/dto/PersonnelControlDto.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/src/main/java/com/securitycontrol/entity/screen/vo/ConstructionQualityVo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/src/main/java/com/securitycontrol/entity/screen/vo/OperatingQualityVo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/src/main/java/com/securitycontrol/entity/screen/vo/PersonnelControlVo.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/controller/ConstructionQualityController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/controller/OperatingController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/controller/PersonnelControlController.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/mapper/ConstructionQualityMapper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/mapper/OperatingMapper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/mapper/PersonnelControlMapper.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/service/ConstructionQualityService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/service/OperatingService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/service/PersonnelControlService.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/service/impl/ConstructionQualityImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/service/impl/OperatingImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/java/com/securitycontrol/screen/service/impl/PersonnelControlImpl.java" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/resources/mapper/ConstructionQualityMapper.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/resources/mapper/OperatingMapper.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/src/main/resources/mapper/PersonnelControlMapper.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources.local.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources.local.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources/7338d6d7-5678-4ce5-bd73-ff00416d95fe.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources/7338d6d7-5678-4ce5-bd73-ff00416d95fe.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources/7338d6d7-5678-4ce5-bd73-ff00416d95fe/storage_v2/_src_/schema/information_schema.FNRwLQ.meta" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/modules.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/modules.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/shelf/Uncommitted_changes_before_Update_at_2024_2_20_18_10__Default_Changelist_.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/shelf/Uncommitted_changes_before_Update_at_2024_2_20_18_10__Default_Changelist_.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/shelf/Uncommitted_changes_before_Update_at_2024_2_21_16_05__Default_Changelist_.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/shelf/Uncommitted_changes_before_Update_at_2024_2_21_16_05__Default_Changelist_.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/shelf/Uncommitted_changes_before_Update_at_2024_2_23_10_30__Default_Changelist_.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/shelf/Uncommitted_changes_before_Update_at_2024_2_23_10_30__Default_Changelist_.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-api/securitycontrol-api-system/securitycontrol-api-system.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-api/securitycontrol-api-system/securitycontrol-api-system.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-api/securitycontrol-api.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-api/securitycontrol-api.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-auth/securitycontrol-auth.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-auth/securitycontrol-auth.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-core/securitycontrol-commons-core.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-core/securitycontrol-commons-core.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-datascope/securitycontrol-commons-datascope.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-datascope/securitycontrol-commons-datascope.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-datasource/securitycontrol-commons-datasource.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-datasource/securitycontrol-commons-datasource.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/securitycontrol-commons-entity.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-entity/securitycontrol-commons-entity.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-log/securitycontrol-commons-log.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-log/securitycontrol-commons-log.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-redis/securitycontrol-commons-redis.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-redis/securitycontrol-commons-redis.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-security/securitycontrol-commons-security.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-security/securitycontrol-commons-security.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-swagger/securitycontrol-commons-swagger.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons-swagger/securitycontrol-commons-swagger.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-commons/securitycontrol-commons.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-gateway/securitycontrol-gateway.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-gateway/securitycontrol-gateway.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-background/securitycontrol-background.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-background/securitycontrol-background.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-files/securitycontrol-files.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-files/securitycontrol-files.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-model.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-model.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/securitycontrol-screen.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-screen/securitycontrol-screen.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-system/securitycontrol-system.iml" beforeDir="false" afterPath="$PROJECT_DIR$/securitycontrol-model/securitycontrol-system/securitycontrol-system.iml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
        <option value="Interface" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="main" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="2ccMWJNstSjYA6F4LuJkdCbgmNC" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "git-widget-placeholder": "master",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)"
  },
  "keyToStringList": {
    "DatabaseDriversLRU": [
      "mysql"
    ]
  }
}]]></component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.securitycontrol.entity.system.vo" />
      <recent name="com.securitycontrol.common.core.utils.aes" />
      <recent name="com.securitycontrol.entity.system.dto" />
      <recent name="com.securitycontrol.system.mapper" />
      <recent name="com.securitycontrol.system.controller" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\ideaWorkspace\ah_jjzhgd_service\securitycontrol-model\securitycontrol-system\src\main\resources\mapper" />
      <recent name="E:\ideaWorkspace\ah_jjzhgd_service\securitycontrol-model\securitycontrol-system\src\main\java\com\securitycontrol\system\service" />
      <recent name="E:\ideaWorkspace\ah_jjzhgd_service\securitycontrol-commons\securitycontrol-commons-log\src\main" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="mvn clean" />
      <command value="mvn install" />
    </option>
  </component>
  <component name="RunDashboard">
    <option name="configurationTypes">
      <set>
        <option value="SpringBootApplicationConfigurationType" />
      </set>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.VscSystemApplication">
    <configuration name="SecurityUtils" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.securitycontrol.common.security.utils.SecurityUtils" />
      <module name="securitycontrol-commons-security" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.securitycontrol.common.security.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="GatewayApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="securitycontrol-gateway" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.securitycontrol.gateway.GatewayApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="VscAuthApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="securitycontrol-auth" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.securitycontrol.auth.VscAuthApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="VscSystemApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="securitycontrol-system" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.securitycontrol.system.VscSystemApplication" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="38edcd87-ada4-4894-a064-a836269e71e4" name="Default Changelist" comment="" />
      <created>1708406443341</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1708406443341</updated>
      <workItem from="1708406446066" duration="15397000" />
    </task>
    <task id="LOCAL-00001" summary="初始化修改">
      <created>1708408927745</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1708408927745</updated>
    </task>
    <task id="LOCAL-00002" summary="基础模块修改">
      <created>1708409760396</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1708409760396</updated>
    </task>
    <task id="LOCAL-00003" summary="基础模块修改">
      <created>1708412455493</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1708412455494</updated>
    </task>
    <task id="LOCAL-00004" summary="基础模块修改">
      <created>1709084110972</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1709084110972</updated>
    </task>
    <task id="LOCAL-00005" summary="基础模块修改">
      <created>1709084441246</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1709084441246</updated>
    </task>
    <task id="LOCAL-00006" summary="字典下拉选">
      <created>1709084610454</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1709084610454</updated>
    </task>
    <task id="LOCAL-00007" summary="代码规范修改">
      <created>1709085101907</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1709085101907</updated>
    </task>
    <option name="localTasksCounter" value="8" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="2" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="1">
          <value>
            <State />
          </value>
        </entry>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <option name="ADD_EXTERNAL_FILES_SILENTLY" value="true" />
    <MESSAGE value="初始化修改" />
    <MESSAGE value="基础模块修改" />
    <MESSAGE value="字典下拉选" />
    <MESSAGE value="代码规范修改" />
    <option name="LAST_COMMIT_MESSAGE" value="代码规范修改" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/securitycontrol-auth/src/main/java/com/securitycontrol/auth/service/SysLoginService.java</url>
          <line>46</line>
          <option name="timeStamp" value="7" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/securitycontrol-auth/src/main/java/com/securitycontrol/auth/service/SysLoginService.java</url>
          <line>65</line>
          <option name="timeStamp" value="8" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/securitycontrol-model/securitycontrol-system/src/main/java/com/securitycontrol/system/controller/LoginController.java</url>
          <line>75</line>
          <option name="timeStamp" value="9" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>